﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
DATE:                  2017-07-26 09:01:25
AUTHOR:                Fluke
REVISION:              $Revision: 20317 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       220
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        1 ea. BNC attenuator, 2X (6 dB) (single Active Head only)
#        1 ea. BNC power splitter (single Active Head only)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  JMPL         50MHz                        PSUB("Aux In 50 MHz")
  1.004  JMPL         250MHz                       PSUB("Aux In 250 MHz")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500  ===============

  2.001  LABEL        50MHz
  2.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
  2.003  MATH         @AuxTrig = 1
  2.004  RSLT         =
  2.005  HEAD         -2{50 MHz, AUX TRIGGER}
  2.006  TARGET

  2.007  IF           NOT(@MultiHd)

  2.008  IF           @Chan == 1
  2.009  DISP         Connect the CH 1 Active Head to a power splitter.
  2.009  DISP
  2.009  DISP         Connect one output of the power splitter to DUT
  2.009  DISP         Ch [V @Chan].
  2.009  DISP
  2.009  DISP         Connect the other output of the power splitter to
  2.009  DISP         DUT Aux In via a 50 Ω terminator.
  2.010  ELSE
  2.011  MATH         Ch =  @Chan; PrevCh = @Chan - 1
  2.012  DISP         Move connection at DUT from Ch [V PrevCh] to Ch [V Ch].
  2.013  ENDIF

  2.014  ENDIF

  2.015  IEEE2        CH[V @Chan]:TER 50
  2.016  IEEE2        HOR:SCA 20E-9
  2.017  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[V @Chan];COUP DC;SLO RIS
  2.018  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
  2.019  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
# Adjust the 9500 output until DUT readout indicates approximately 250 mV.
  2.020  MATH         MEM = 250
  2.021  9500         mVpp                         50MH           LS    S  L
  2.022  IEEE2        TRIG:A SETL
  2.023  IEEE         ACQ:STOPA SEQ

  2.024  DO
  2.025  MATH         MEM = MEM1 + (250 - MEM) / 2

  2.026  IF           (MEM > 5000) || (MEM < 100)
  2.027  MATH         MEM = 250
  2.028  ENDIF

  2.029  9500         mVpp                         50MH           LS    S  L
  2.030  IEEE2        ACQ:STATE RUN
  2.031  IEEE         MEASU:IMM:VALUE?[I]
  2.032  MATH         MEM = MEM / 1E-3
  2.033  UNTIL        (MEM >= 249) && (MEM <= 251)

  2.034  MATH         @mVppApplied = MEM1
  2.035  IEEE2        TRIG:A:EDGE:SOU AUX;COUP DC;SLO:AUX RIS
  2.036  IEEE2        ACQ:STOPA RUNST;STATE RUN
  2.037  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  2.038  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

  3.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
  3.002  TARGET
  3.003  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
  3.004  MATH         MEM = @mVppApplied
  3.005  9500         mVpp                         50MH           LS    S  L
  3.006  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  3.007  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

  4.001  HEAD         -2
  4.002  HEAD
  4.003  9500         *                                                 S
  4.004  END

  4.005  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500  ==============

  5.001  LABEL        250MHz
  5.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
  5.003  MATH         @AuxTrig = 1
  5.004  RSLT         =
  5.005  HEAD         -2{250 MHz, AUX TRIGGER}
  5.006  TARGET

  5.007  IF           NOT(@MultiHd)

  5.008  IF           @Chan == 1
  5.009  DISP         Move connection at DUT from Ch 4 to Ch 1.
  5.010  ELSE
  5.011  MATH         Ch = @Chan; PrevCh = @Chan - 1
  5.012  DISP         Move connection at DUT from Ch [V PrevCh] to Ch [V Ch].
  5.012  DISP
  5.012  DISP         Disconnect the cable at DUT Aux In.
  5.012  DISP
  5.012  DISP         Remove the attenuator and re-connect to DUT Aux In
  5.012  DISP         retaining the 50 Ω feedthrough termination.
  5.013  ENDIF

  5.014  ENDIF

  5.015  IEEE2        CH[V @Chan]:TER 50
  5.016  IEEE2        HOR:SCA 1E-9
  5.017  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[V @Chan];COUP DC;SLO RIS
  5.018  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
  5.019  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
  5.020  MATH         MEM = 700
  5.021  9500         mVpp                         250MH          LS    S  L
  5.022  IEEE2        TRIG:A SETL
  5.023  IEEE         ACQ:STOPA SEQ

  5.024  DO
  5.025  MATH         MEM = MEM1 + (700 - MEM) / 2

  5.026  IF           (MEM > 5000) || (MEM < 100)
  5.027  MATH         MEM = 700
  5.028  ENDIF

  5.029  9500         mVpp                         250MH          LS    S  L
  5.030  IEEE2        ACQ:STATE RUN
  5.031  IEEE         MEASU:IMM:VALUE?[I]
  5.032  MATH         MEM = MEM / 1E-3
  5.033  UNTIL        (MEM >= 698) && (MEM <= 702)

  5.034  MATH         @mVppApplied = MEM1

  5.035  IF           NOT(@MultiHd)
  5.036  9500         *                                                 S
  5.037  DISP         Disconnect the cable at DUT Aux In.
  5.037  DISP
  5.037  DISP         Reconnect to Aux In through a 2X (6 dB) attenuator,
  5.037  DISP         retaining 50 Ω feedthrough termination.
  5.038  ENDIF

  5.039  IEEE2        TRIG:A:EDGE:SOU AUX;COUP DC;SLO:AUX RIS
  5.040  IEEE2        ACQ:STOPA RUNST;STATE RUN

  5.041  IF           @MultiHd
  5.042  MATH         MEM = @mVppApplied / 2
  5.043  ELSE
  5.044  MATH         MEM = @mVppApplied
  5.045  ENDIF

  5.046  9500         mVpp                         250MH          LS    S  L
  5.047  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  5.048  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

  6.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
  6.002  TARGET
  6.003  IEEE2        TRIG:A:EDGE:SLO:AUX FALL

  6.004  IF           @MultiHd
  6.005  MATH         MEM = @mVppApplied / 2
  6.006  ELSE
  6.007  MATH         MEM = @mVppApplied
  6.008  ENDIF

  6.009  9500         mVpp                         250MH          LS    S  L
  6.010  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  6.011  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

  7.001  HEAD         -2
  7.002  HEAD
  7.003  9500         *                                                 S
  7.004  END
