﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DPO7054: (1 yr) VER IEEE /9500/600+5Hd,LFCTR
DATE:                  2017-07-21 09:31:15
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       266
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9520 on channel 1
CONFIGURATION:         Datron 9520 on channel 2
CONFIGURATION:         Datron 9520 on channel 3
CONFIGURATION:         Datron 9520 on channel 4
CONFIGURATION:         Datron 9520 on channel 5
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  9500         1Vpp                         1MH            FE    S  L
  1.005  M9500                       CH2
  1.006  9500         500MH                        1Vpp           LS    S  L
  1.007  9500         1Vpp                         1MH            FE    S  L
  1.008  M9500                       CH3
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  9500         1Vpp                         1MH            FE    S  L
  1.011  M9500                       CH4
  1.012  9500         500MH                        1Vpp           LS    S  L
  1.013  9500         1Vpp                         1MH            FE    S  L
  1.014  M9500                       CH5
  1.015  9500         500MH                        1Vpp           LS    S  L
  1.016  9500         1Vpp                         1MH            FE    S  L
  1.017  IEEE         [@LFCTR]
  1.018  ENDIF

  1.019  MATH         @Bandwidth = 500E+6; @NumChan = 4; @MultiHd = 1

  1.020  ASK-   R   Q N              P                            A        V

  1.021  IF           NOT(VERSIONCHECK("8.0"))
  1.022  END
  1.023  ENDIF

  1.024  CALL         Sub Display Copyright
  1.025  CALL         Sub High Voltage Safety Warning
  1.026  CALL         Sub Select Failed Test Mode
  1.027  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.028  HEAD         PRELIMINARY INSTRUCTIONS
  1.029  TARGET
  1.030  DISP         Ensure a minimum DUT warm-up time of at least
  1.030  DISP         20 minutes has been allowed to elapse, prior
  1.030  DISP         to beginning verification.
  1.031  HEAD

  1.032  CALL         Sub Tek DPO7000 Setup IEEE
  1.033  CALL         Sub DUT Connection GPIB

  1.034  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.035  MATH         @DUT_Model        = "DPO7054"
  1.036  MATH         @DUT_AssetNum     = UUT()

  1.037  IF           NOT(EMPTY(@DUT_AssetNum))
  1.038  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.039  ENDIF

  1.040  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.041  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.042  JMPL         END                             @Abort
  1.043  CALL         Sub Tek DPO7000 Check Firmware Version
  1.044  JMPL         END                             @Abort

  1.045  IEEE2        *RST

  1.046  HEAD         EQUIPMENT REQUIREMENTS
  1.047  OPBR         -z Do you want to review the list of additional
  1.047  OPBR         equipment and/or accessories required?

  1.048  IF           MEM1
  1.049  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.049  DISP         - 1 ea. BNC Shorting Cap (f)
  1.050  ENDIF

  1.051  OPBR         -z Do you want to review the list of flexible standards,
  1.051  OPBR         additional equipment and/or accessories required?

  1.052  IF           MEM1
  1.053  DISP         The indicated minimum use specifications must be
  1.053  DISP         satisfied when configuring the following devices
  1.053  DISP         as flexible standards:
  1.054  DISP
  1.054  DISP         LF Counter (LFCTR):
  1.054  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.054  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.054  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.054  DISP         [32] or equivalent

  1.055  DISP         Additional equipment/accessories required:
  1.055  DISP
  1.055  DISP         - Frequency Standard, suitable for use with configured
  1.055  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.055  DISP         [32] PM9678B option or equivalent (if required)
  1.056  ENDIF

  1.057  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.058  JMPL         END                           @Abort
  1.059  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.060  JMPL         END                           @Abort

  1.061  OPBR         -z The purpose of functional tests are to confirm the
  1.061  OPBR         DUT functions properly; that is, they verify the DUT
  1.061  OPBR         features operate. They do not verify that they operate
  1.061  OPBR         within limits. If more extensive confirmation of
  1.061  OPBR         performance is desired, please execute the full
  1.061  OPBR         performance test.
  1.061  OPBR
  1.061  OPBR         Do you want to execute the functional tests?

  1.062  IF           MEM1
  1.063  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.064  ENDIF

  1.065  MATH         @Chan = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.068  MATH         @Chan = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.071  MATH         @Chan = 3
  1.072  M9500                       CH3
  1.073  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.074  MATH         @Chan = 4
  1.075  M9500                       CH4
  1.076  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500

  1.077  MATH         @Chan = 1
  1.078  M9500                       CH1
  1.079  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.080  MATH         @Chan = 2
  1.081  M9500                       CH2
  1.082  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.083  MATH         @Chan = 3
  1.084  M9500                       CH3
  1.085  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.086  MATH         @Chan = 4
  1.087  M9500                       CH4
  1.088  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.089  JMPL         TIME_QUALIFIED

  1.090  LABEL        TIMEBASE_ACCURACY
  1.091  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.092  JMPL         AUX_TRIGGER_OUT

  1.093  LABEL        TIMEBASE_REF
  1.094  MATH         @Chan = 1
  1.095  M9500                       CH1
  1.096  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /9500

  1.097  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.098  MATH         @Chan = 2
  1.099  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.100  MATH         @Chan = 3
  1.101  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.102  MATH         @Chan = 4
  1.103  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500

  1.104  DISP         Remove all connections.
  1.105  JMPL         TIMEBASE_ACCURACY

  1.106  LABEL        TIME_QUALIFIED
  1.107  MATH         @Chan = 1
  1.108  M9500                       CH1
  1.109  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /9500

  1.110  MATH         @Chan = 1
  1.111  M9500                       CH1
  1.112  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.113  M9500                       CH15
  1.114  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.115  M9500                       CH1
  1.116  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.117  M9500                       CH15
  1.118  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.119  MATH         @Chan = 2
  1.120  M9500                       CH2
  1.121  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.122  M9500                       CH25
  1.123  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.124  M9500                       CH2
  1.125  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.126  M9500                       CH25
  1.127  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.128  MATH         @Chan = 3
  1.129  M9500                       CH3
  1.130  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.131  M9500                       CH35
  1.132  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.133  M9500                       CH3
  1.134  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.135  M9500                       CH35
  1.136  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.137  MATH         @Chan = 4
  1.138  M9500                       CH4
  1.139  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.140  M9500                       CH45
  1.141  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.142  M9500                       CH4
  1.143  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.144  M9500                       CH45
  1.145  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.146  M9500        *
  1.147  JMPL         TIMEBASE_REF

  1.148  LABEL        AUX_TRIGGER_OUT
  1.149  MATH         @Chan = 1
  1.150  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.151  M9500                       CH1
  1.152  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /9500

  1.153  LABEL        END
  1.154  IEEE2        *RST
  1.155  HEAD         -2

  1.156  IF           @Abort
  1.157  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.158  ENDIF

  1.159  END
